Bug 444625 - Review Request: GMT-doc - Documentation for Generic Mapping Tools
Review Request: GMT-doc - Documentation for Generic Mapping Tools
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
:
Depends On: 438043
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-29 12:02 EDT by Orion Poplawski
Modified: 2008-05-20 12:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-20 12:23:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pertusus: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2008-04-29 12:02:20 EDT
Spec URL: http://www.cora.nwra.com/~orion/fedora/GMT-docs
SRPM URL: http://www.cora.nwra.com/~orion/fedora/GMT-docs-4.2.1-1.src.rpm
Description:
This package provides the documentation for the GMT (Generic Mapping Tools)
package.
Comment 1 Jochen Schmitt 2008-04-29 14:26:39 EDT
Some review checks:

+ rpmlint of source package ok.
+ Local buid works fine.
+ Copyright ok

- I think the whole documentatioon should put into %{_docdir]/GMT
- What is the task of the all subpackage which doesn't contain any files.

Comment 2 Orion Poplawski 2008-04-29 15:23:55 EDT
(In reply to comment #1)
> - I think the whole documentation should put into %{_docdir]/GMT

Possibly.  The GMT install script would make the following subdirs:

pdf
man
web
tut

I could see tutorial going in doc/tutorial.  As for html, can web servers serve
content out of /usr/share?

> - What is the task of the all subpackage which doesn't contain any files.

%package        all
Summary:        All documentation for GMT
Group:          Applications/Engineering
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-pdf = %{version}-%{release}
Requires:       %{name}-html = %{version}-%{release}
Requires:       %{name}-tutorial = %{version}-%{release}

to bring in all doc packages in one shot.

Comment 3 Patrice Dumas 2008-04-29 18:25:29 EDT
I think that it would be better to call the package GMT-doc for
consistency with most of the other packages. Also the Group should
be
Group:  Documentation

I think that all the docs should be in only one package.

The html docs should not be installed to be served by a web server but 
for local browsing.

Also I think that it would be better if the docs were installed in
%{_docdir}/GMT-%{version}/

One think which is not completely clear to me is whether this 
package should depend on GMT or not. This is not so clear to me.
Are the examples used in the tutorial or the doc? If so it could depend
on GMT-examples.
Comment 4 Orion Poplawski 2008-05-07 11:18:32 EDT
How about this one:

Spec URL: http://www.cora.nwra.com/~orion/fedora/GMT-docs
SRPM URL: http://www.cora.nwra.com/~orion/fedora/GMT-docs-4.3.0-1.src.rpm

* Tue Apr 6 2008 Orion Poplawski <orion@cora.nwra.com> 4.3.0-1
- Update to 4.3.0
- Make single package

Technically, GMT owns %{_docdir}/GMT-%{version}/, so it should require GMT,
though perhaps not a big deal.
Comment 5 Patrice Dumas 2008-05-12 06:45:59 EDT
I suggest calling the package GMT-doc and not GMT-docs to be
more consistent with the guidelines and most of the packages.

Also the requires for GMT should be
Requires:       GMT = %{version}
since the release are not correlated.

Otherwise looks good.
Comment 6 Orion Poplawski 2008-05-12 12:00:33 EDT
* Mon Apr 12 2008 Orion Poplawski <orion@cora.nwra.com> 4.3.0-2
- Rename to GMT-doc
- Require only GMT-%%{version}, drop release

Spec URL: http://www.cora.nwra.com/~orion/fedora/GMT-doc.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/GMT-doc-4.3.0-2.src.rpm

Thanks!
Comment 7 Patrice Dumas 2008-05-12 18:14:36 EDT
* rpmlint not problematic
GMT-doc.noarch: E: zero-length /usr/share/doc/GMT-4.3.0/html/GMT_Docs/img246.png
* free software, license included
* follow guidelines
* match upstream
e068d5be0859c1ea5a8a0b15d4ad5810  GMT4.3.0_pdf.tar.bz2
633f4e648c80d920c4c2080b58fc1fe8  GMT4.3.0_tut.tar.bz2
3fcef23a62b61d4d6abcb8b5b1a4a701  GMT4.3.0_web.tar.bz2
* %files section right

APPROVED
Comment 8 Orion Poplawski 2008-05-12 18:24:25 EDT
New Package CVS Request
=======================
Package Name: GMT-doc
Short Description: Documentation for Generic Mapping Tools
Owners: orion
Branches: F-9 F-8 F-7 EL-5 EL-4
InitialCC: 
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2008-05-13 13:09:37 EDT
cvs done.
Comment 10 Orion Poplawski 2008-05-20 12:23:24 EDT
Checked in and built.

Note You need to log in before you can comment on or make changes to this bug.